Skip to content
GBG Documents & Biometrics Documentation

/ClassifyDocument

POST
/ClassifyDocument
curl --request POST \
--url https://verification-v2-eu.core.idscan.cloud/ClassifyDocument \
--header 'Content-Type: multipart/form-data' \
--form DocumentImage=@file \
--form Side=0 \
--form ImageSource=0 \
--form 'Configurations={ "additionalProperty": "example" }'

Get the classification response of the processed document using an uploaded image.

IDscan Core Document Classification Service endpoint allows a document to be classified (Please reach out to your support representative for the “IDscan Core Authentication Guide”). The document classification details will be provided.

  • None
x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
DocumentImage
string format: binary
Side
integer format: int32
Allowed values: 0 1
ImageSource
integer format: int32
Allowed values: 0 1 2 3
Configurations
object
key
additional properties
string
nullable
RequestId
string
CorrelationId
string

Returns a success on the Endpoint after processing the submitted identity document/s. This code does not indicate a success on the validation of the document itself but rather a success on the call to the Endpoint. The document result is in the response body (See Response Body section below).

object
correlationId
string
nullable
classifiedDocument
object
isDocumentClassified
boolean
isIcao
boolean
id
string
nullable
name
string
nullable
category
string
nullable
subtype
string
nullable
year
string
nullable
type
string
nullable
side
string
nullable
countryCode
string
nullable
countryName
string
nullable
stateCode
string
nullable
stateName
string
nullable
issueYear
string
nullable
issuingCountryCode
string
nullable
issuingCountryName
string
nullable
issuingStateCode
string
nullable
issuingStateName
string
nullable
properties
object
nfc
boolean
otherSide
boolean
additionalDetails
object
key
additional properties
string
nullable
extractedImage
string format: byte
nullable

Error with the provided parameters, please, check the response provided to get more insights on the problem.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Internal error during our processing, please, get in touch with support so we can help you.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

A downstream service is temporarily out of capacity, please, retry later.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable